package com.example.leudaemialikeme.Activity;

import android.os.Bundle;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.example.leudaemialikeme.Adapter.QuestionAdapter;
import com.example.leudaemialikeme.Model.Question;
import com.example.leudaemialikeme.R;

import java.util.ArrayList;
import java.util.List;

public class ConcernedProblemActivity extends BaseActivity {

    private List<Question> mData = new ArrayList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_concerned_problem);
//        getData();//获得数据
        RecyclerView recycleView = (RecyclerView) findViewById(R.id.questionList);//获得视图
        LinearLayoutManager layoutManager;
        layoutManager = new LinearLayoutManager(this);
        recycleView.setLayoutManager(layoutManager);//建立线性布局
        QuestionAdapter adapter = new QuestionAdapter(mData);//创建适配器
        recycleView.setAdapter(adapter);//将视图与适配器连接起来
    }


}
